Piloterr

Kick User Info

GET
/v2/kick/user/info

Retrieve complete public channel data from Kick including streamer profile, follower count, live status, and recent categories.

Credit cost: 1 credit per call

Authorization

ApiKeyAuth
headerx-api-key<token>

Your API key. Include it in the x-api-key header for every request.

Query Parameters

query*string

The Kick channel to look up. Accepts a full channel URL or a username/slug.

Accepted formats:

  • https://kick.com/example-user: full channel URL
  • example-user: channel slug/username only

Example:

https://kick.com/example-user

Notes:

  • Banned channels: The is_banned field will be true for banned users but data may still be returned.
  • Offline streamers: The livestream field will be null when the channel is not live.

Response Body

Successful response

application/json
  1. response
id?integer
role?unknown
slug?string
user?
muted?boolean
user_id?integer
verified?boolean
is_banned?boolean
livestream?unknown
vod_enabled?boolean
banner_image?
playback_url?string
follower_badges?array<unknown>
followers_count?integer
recent_categories?array<>
subscription_enabled?boolean
Example Request
curl -X GET 'https://api.piloterr.com/v2/kick/user/info?query=string'
Example Response
{  "id": 668,  "role": null,  "slug": "example-user",  "user": {    "id": 676,    "bio": "Example creator profile.",    "city": null,    "gender": null,    "discord": "example-user",    "twitter": "example-user",    "youtube": "example-user",    "username": "example-user",    "instagram": "example-user",    "profile_pic": "https://files.kick.com/placeholder/example-user.jpg"  },  "muted": false,  "user_id": 676,  "verified": true,  "is_banned": false,  "livestream": null,  "vod_enabled": true,  "banner_image": {    "url": "https://files.kick.com/placeholder/example-user.jpg"  },  "playback_url": "https://fa723fc1b171.us-west-2.playback.live-video.net/api/video/v1/us-west-2.196233775518.channel.DsuAwCgUc9Bh.m3u8",  "follower_badges": [],  "followers_count": 1053235,  "recent_categories": [    {      "id": 8549,      "name": "IRL",      "slug": "irl",      "tags": [        "IRL",        "Adventure"      ]    }  ],  "subscription_enabled": true}